STJERM(8)

NAME
stjerm - a GTK+-based drop-down terminal emulator.

SYNOPSIS
stjerm [-OPTION] [-OPTION] ... [-OPTION]

DESCRIPTION
stjerm is a GTK+-based drop-down terminal emulator similar to the consoles used in PC games such as Quake and Half-Life 2. stjerm sets itself apart from similar programs by providing a minimalistic interface combined with a small file size, lightweight memory usage and easy integration with composite window managers such as Compiz. stjerm can be configured via the command-line or through the .Xdefaults file. The following list of options displays the .Xdefaults option first (if available) followed by the command-line option. The command-line options have a higher priority and thus, override the .Xdefaults options.

NOTES
If you specify a hex color on the command-line you have to ommit the # char. Otherwise the option will not get parsed. This restriction only affects the command-line options, not the .Xdefaults options.

OPTIONS

--help
    Print help information and exit.

--info
    Print .Xdefaults options and exit.

--version, --v
    Print version information and exit.

--toggle
    Show/hide the current stjerm instance.

allowbold, -ab
    Allow bold fonts or not. Default: true

autohide, -ah
    Whether or not to hide stjerm when it looses focus. Default: true.

background, -bg
    Background color of the terminal. If the terminal is transparent this is the tint color. Default: Black.

bgimage, -bgimg
    Background image file. Specify the filename. Default: disabled.

border, -b
    Border type: thin, thick, none. Default: none.

colorX, -cX
    Specify color X of the terminals color palette. You may specify no palette, or a complete one with 16 total colors. For this you have to use -c0, -c1, ..., -c15 or the equivalent color0, color1,... color15.

font, -fn
    Terminal font and size (eg: Sans 10). Default: Bitstream Vera Sans Mono 10.

foreground, -fg
    Foreground color of the terminal. This is the font color. Default: White.

height, -h
    Window height. Default: 400.

key, -k
    Shortcut key which shows and hides stjerm (eg: f12). If you don't specify a shortcut key, you can only show/hide stjerm if you run stjerm with --toggle.

keymod, -km
    Modifier for keyboard shortcuts. Can be a combination (with +) of modifiers (eg: control+alt). Default: control+shift.

lines, -l
    Scrollback lines. 0 to disable scrollback. Default: 1000.

mod, -m
    Modifier key, which has to be pressed in combination with the shortcut key to show/hide stjerm : shift, control, alt, windows, none. Default: none.

opacity, -o
    Opacity (range: 10 - 100). If compositing is enabled stjerm will use real transparency. Otherwise you get pseudo-transparency.

position, -p
    Window position: top, bottom, left, right. Default: top.

scrollbar, -s
    Scrollbar position: left, right, none. Default: none.

scroll, -sc
    Whether to scroll the terminal on output. Default: true.

shell, -sh
    Terminal shell. Default: the user's default shell.

showtab, -st
    Tabbar visibility: never, one, always. One means the tabbar is visible if more than one tab is opened. Default: one.

tabfill, -tf
    Whether tabs fill whole tabbar space. Default: true.

tablabel, -tl
    Label of the tabs. The terminal number gets appended automatically. Default: term.

tabpos, -tp
    Tabbar position: top, bottom, left, right. Default: bottom.

width, -w
    Window width. Default: 800.

EXAMPLES
To run stjerm with F12 as shortcut key, the opacity of 60 and a green foreground color, use: stjerm -k f12 -o 60 -fg 66ff11 To specify the same options in the .Xdefaults file: stjerm.key: f12 stjerm.opacity: 60 stjerm.foreground: #66ff11

BUGS
Report bugs to <zero456@gmail.com>.

COPYRIGHT
Copyright © 2007 Stjepan Glavina
Copyright © 2007 Markus Gross
Copyright © 2008, 2009 Thomas Pifer This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.